1. Quotes
Bitpanda API
  • REST API
    • Overview
    • API key generation
    • Migrating from the legacy API
    • Endpoints
      • Quotes
        • Create a trading quote
          POST
        • Accept a trading quote
          POST
      • Portfolio
        • Get portfolio overview
        • Get portfolio performance history
      • Operations
        • List operations
      • Currencies
        • List available currencies
      • Assets
        • List available assets
      • Earn
        • Execute an earn action (stake or unstake)
        • List earn asset configurations
      • Tickers
        • Get the ticker for a given asset
      • Trading Limits
        • Get current trading limits and remaining budget
        • Set daily trading volume limits for this API key
      • Margin
        • Get the leverage multipliers currently allowed for margin trading an asset
      • Crypto Networks
        • Get the blockchain networks supported for depositing and withdrawing a crypto asset
  • MCP Server
    • Getting Started
    • Tools
  • Rate Limits
    • API and MCP Rate Limits
  • Feedback & Support
    • Community Hub
  1. Quotes

Accept a trading quote

POST
/v1/quotes/{id}/accept

Request

Authorization
API Key
Add parameter in header
x-api-key
Example:
x-api-key: ********************
or
Path Params

Request Code Samples

Shell
JavaScript
Java
Swift
Go
PHP
Python
HTTP
C
C#
Objective-C
Ruby
OCaml
Dart
R
Request Request Example
Shell
JavaScript
Java
Swift
curl --location --request POST 'https://api.public.bitpanda.com/v1/quotes/3c071a1d-db86-46a7-9dc0-06502b1fe55d/accept' \
--header 'x-api-key: <api-key>'

Responses

🟢200OK
*/*
Quote accepted successfully
Body*/*

Example
{
    "data": {
        "quote_id": "3c071a1d-db86-46a7-9dc8-72ba3fbca992",
        "trade_id": "716cb486-5256-4659-973c-189b58daa723",
        "status": "string",
        "side": "BUY",
        "asset_id": "b4695157-0d1d-4da0-8f9e-5c53149389e4",
        "currency_id": "305e0674-ee79-42b7-bf83-278294a47a7b",
        "execution": {
            "price": "string",
            "price_with_fee": "string",
            "fee": "string",
            "quantity": "string",
            "notional": "string",
            "executed_at": "string",
            "to_euro_rate": "string"
        },
        "tax": {
            "tax_amount": "string",
            "pessimistic_withholding": true
        },
        "trading_budget": {
            "buy_budget_remaining": 0,
            "sell_budget_remaining": 0,
            "limit_currency_id": "2d72a477-44d5-4726-a982-4a79658caff4"
        }
    }
}
🟠400Parameter Error
🟠404
🟠422
🔴500
Modified at 2026-09-23 07:30:24
Previous
Create a trading quote
Next
Get portfolio overview
Built with